﻿@model JobHunt.BU.DTO.RecruitDTO
@using JobHunt.BU.DTO
@using JobHunt.BU.Manage
@using Microsoft.AspNet.Identity
@{
    ViewBag.Title = "Thông tin " + Model.RICompanyName;
    Layout = "~/Views/Shared/_Layout.cshtml";

    //Danh sách công việc đã đăng
    var PostJob = (List<RecruitJobDTO>)ViewBag.PostJobs;

    //class check save job
    var classCheckSJ = "";

    var UserId = User.Identity.GetUserId();
}

<section class="overlape">
    <div class="block no-padding">
        <div data-velocity="-.1" style="background: url(@Model.RICoverImage) repeat scroll 50% 422.28px transparent;" class="parallax scrolly-invisible no-parallax"></div><!-- PARALLAX BACKGROUND IMAGE -->
        <div class="container fluid">
            <div class="row">
                <div class="col-lg-12">
                    <div class="inner-header">
                        <h3>@Model.RICompanyName</h3>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<section>
    <div class="block">
        <div class="container">
            <div class="row">
                <div class="col-lg-12 column">
                    <div class="job-single-sec style3">
                        <div class="job-head-wide">
                            <div class="row" style="padding-bottom: 10px;">
                                <div class="col-lg-10">
                                    <div class="job-single-head3 emplye">
                                        <div class="job-thumb"> <img src="@Model.RILogo" alt=""></div>
                                        <div class="job-single-info3">
                                            <h3>@Model.RICompanyName</h3>
                                           @* <span><i class="la la-map-marker"></i>@Model.CityDTO.CName</span>*@
                                            @*<span class="job-is ft">Full time</span>*@
                                            <ul class="tags-jobs">
                                                <li><i class="la la-file-text"></i>Công việc đã đăng: @PostJob.Count</li>
                                                <li><i class="la la-calendar-o"></i> Ngày đăng ký: @Model.RIRegisterDate.Value.ToShortDateString()</li>
                                                <li><i class="la la-eye"></i> Lượt xem: 5683</li>
                                            </ul>
                                        </div>
                                    </div><!-- Job Head -->
                                </div>
                                @*<div class="col-lg-2">
                                    <div class="share-bar">
                                        <a href="#" title="" class="share-google"><i class="la la-google"></i></a>
                                        <a href="#" title="" class="share-fb"><i class="fa fa-facebook"></i></a>
                                        <a href="#" title="" class="share-twitter"><i class="fa fa-twitter"></i></a>
                                    </div>
                                    <div class="emply-btns">
                                        <a class="seemap" href="#" title=""><i class="la la-map-marker"></i> See On Map</a>
                                        <a class="followus" href="#" title=""><i class="la la-paper-plane"></i> Follow us</a>
                                    </div>
                                </div>*@
                            </div>
                        </div>
                        <div class="job-wide-devider">
                            <div class="row">
                                <div class="col-lg-8 column">
                                    <div class="job-details">
                                        <h3>Giới thiệu về công ty</h3>
                                        <div class="main-describe">
                                            @Html.Raw(Model.RIAbout)
                                        </div>
                                    </div>
                                    <div class="recent-jobs">
                                        <h3>Top 10 công việc của @Model.RIFullName</h3>
                                        <div class="job-list-modern">
                                            <div class="job-listings-sec no-border">
                                                @if (PostJob.Count > 0)
                                                {
                                                    foreach (var job in PostJob.Take(10).OrderByDescending(j=>j.RJExpirationDate))
                                                    {
                                                        <div class="job-listing wtabs noimg">
                                                            <div class="job-title-sec">
                                                                <h3><a href="@Url.Action("DetailJob", "RecruitJob", new { id = JobHunt.BU.Common.GenerateUrl.GenerateSlug(job.RJTitle, job.RecruitJobId) })" title="@job.RJTitle" class="titlejob">@job.RJTitle</a></h3>
                                                                @*<span>@job.RecruitDTO.RIFullName</span>*@
                                                                <span>Số lượng: @job.RJAmount</span>
                                                                <span><i class="la la-money"></i> Lương: @job.SalaryDTO.SShow</span>
                                                                @*<div class="job-lctn"><i class="la la-map-marker"></i>@job.CityDTO.CName</div>*@
                                                            </div>
                                                            <div class="job-style-bx">
                                                                @if (job.WorkTypeDTO != null)
                                                                {
                                                                    <span class="job-is @job.ClassWorkType worktype-job">@job.WorkTypeDTO.WTName</span>
                                                                }

                                                                @if (!string.IsNullOrEmpty(UserId))
                                                                {
                                                                    var CheckSaveJob = new CandidateManage().CheckSaveJob(UserId, job.RecruitJobId);

                                                                    if (CheckSaveJob != 0)
                                                                    {
                                                                        classCheckSJ = "active";
                                                                    }
                                                                    else
                                                                    {
                                                                        classCheckSJ = "";
                                                                    }
                                                                }
                                                                <span class="fav-job @classCheckSJ" id="rc@(job.RecruitJobId)"><i class="la la-heart-o"></i></span>
                                                                @if (job.RJExpirationDate > DateTime.Now)
                                                                {
                                                                    <i>@job.RJExpirationDate.Value.ToShortDateString()</i>
                                                                }
                                                                else
                                                                {
                                                                    <i style="color: red">Đã hết hạn</i>
                                                                }

                                                            </div>
                                                        </div>
                                                    }
                                                }

                                                @*<div class="job-listing wtabs noimg">
                                                        <div class="job-title-sec">
                                                            <h3><a href="#" title="">C Developer (Senior) C .Net</a></h3>
                                                            <span>Massimo Artemisis</span>
                                                            <div class="job-lctn"><i class="la la-map-marker"></i>Sacramento, California</div>
                                                        </div>
                                                        <div class="job-style-bx">
                                                            <span class="job-is pt ">Part time</span>
                                                            <span class="fav-job"><i class="la la-heart-o"></i></span>
                                                            <i>5 months ago</i>
                                                        </div>
                                                    </div><!-- Job -->
                                                    <div class="job-listing wtabs noimg">
                                                        <div class="job-title-sec">
                                                            <h3><a href="#" title="">Regional Sales Manager South</a></h3>
                                                            <span>Massimo Artemisis</span>
                                                            <div class="job-lctn"><i class="la la-map-marker"></i>Sacramento, California</div>
                                                        </div>
                                                        <div class="job-style-bx">
                                                            <span class="job-is ft ">Full time</span>
                                                            <span class="fav-job"><i class="la la-heart-o"></i></span>
                                                            <i>5 months ago</i>
                                                        </div>
                                                    </div><!-- Job -->
                                                    <div class="job-listing wtabs noimg">
                                                        <div class="job-title-sec">
                                                            <h3><a href="#" title="">Marketing Dairector</a></h3>
                                                            <span>Massimo Artemisis</span>
                                                            <div class="job-lctn"><i class="la la-map-marker"></i>Sacramento, California</div>
                                                        </div>
                                                        <div class="job-style-bx">
                                                            <span class="job-is ft ">Full time</span>
                                                            <span class="fav-job"><i class="la la-heart-o"></i></span>
                                                            <i>5 months ago</i>
                                                        </div>
                                                    </div><!-- Job -->*@
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-4 column">
                                    <div class="job-overview">
                                        <h3>Thông tin công ty</h3>
                                        <ul>
                                            <li><i class="la la-eye"></i><h3>Lượt xem </h3><span>164</span></li>
                                            <li><i class="la la-file-text"></i><h3>Công việc đã đăng</h3><span>@PostJob.Count</span></li>
                                            @*<li><i class="la la-map"></i><h3>Địa chỉ</h3><span>@Model.CityDTO.CName</span></li>*@
                                            <li><i class="la la-bars"></i><h3>Công việc</h3><span>@Model.ProfessionDTO.PFName</span></li>
                                            <li><i class="la la-clock-o"></i><h3>Năm thành lập</h3><span>@Model.FoundedYear.Value.Year</span></li>
                                            <li><i class="la la-users"></i><h3>Quy mô</h3><span>@Model.CompanySizeDTO.CSShow</span></li>
                                        </ul>
                                    </div><!-- Job Overview -->
                                    @*<div class="quick-form-job">
                                        <h3>Contact Business Network</h3>
                                        <form>
                                            <input type="text" placeholder="Enter your Name *">
                                            <input type="text" placeholder="Email Address*">
                                            <input type="text" placeholder="Phone Number">
                                            <textarea placeholder="Message should have more than 50 characters"></textarea>
                                            <button class="submit">Send Email</button>
                                            <span>You accepts our <a href="#" title="">Terms and Conditions</a></span>
                                        </form>
                                    </div>*@
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>